FROM node:fermium

RUN mkdir -p /usr/app

# Set the working directory to /app
WORKDIR /usr/app

COPY package.json /usr/app/

RUN npm install --only=production

# Copy all applicable directories
COPY ./dist /usr/app/dist

# Make game port available to the world outside this container
EXPOSE 80

# Define environment variable
# ENV NAME World

ENTRYPOINT ["npm", "run", "start"]
